gsw_CT_freezing {gsw} | R Documentation

## Conservative Temperature of Freezing Seawater

### Description

Conservative Temperature of Freezing Seawater

### Usage

    gsw_CT_freezing(SA, p, saturation_fraction = 1)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar
`saturation_fraction` | saturation fraction of dissolved air in seawater

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

Conservative Temperature at freezing of seawater [ degC ].

### References

http://www.teos-10.org/pubs/gsw/html/gsw_CT_freezing.html

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    p <-  c(     10,      50,     125,     250,     600,    1000)
    saturation_fraction <- 1
    CT <- gsw_CT_freezing(SA, p, saturation_fraction)
    expect_equal(CT, c(-1.899683776424096, -1.940791867869104, -2.006240664432488,
                     -2.092357761318778, -2.359300831770506, -2.677162675412748))

[Package gsw version 1.0-5 Index]